Bug 58661 - /usr/lib/libGL.so.1 missing after installing XFree86-libs-4.2.0-2.1?
Summary: /usr/lib/libGL.so.1 missing after installing XFree86-libs-4.2.0-2.1?
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-22 14:43 UTC by Jonathan Kamens
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-23 17:16:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2002-01-22 14:43:12 UTC
After upgrading yesterday to various XFree86 4.2.0-2.1 packages, including
XFree86-libs, "rpm --verify XFree86-libs" reported that /usr/lib/libGL.so.1 was
missing.  I can't see anything in the postinstall script for XFree86-libs that
would explain why it disappeared, nor does it disappear if I recreate it and
then run "ldconfig".

Comment 1 Mike A. Harris 2002-01-23 10:53:10 UTC
Did you upgrade just _some_ of 4.2.0, or all of it?  You can not
mix and match packages from 4.1.0 and 4.2.0 if that is what you're
doing.

libGL is in /usr/X11R6/lib currently.  Mesa package is obsoleted.

Comment 2 Jonathan Kamens 2002-01-23 17:16:07 UTC
Here are the XFree86 packages currently on my system; I don't think there are
any problems here:

XFree86-VGA16-3.3.6-42
XFree86-compat-modules-3.3.6-42
XFree86-Mach64-3.3.6-42
XFree86-libs-4.2.0-2.1
XFree86-4.2.0-2.1
XFree86-twm-4.2.0-2.1
XFree86-devel-4.2.0-2.1
XFree86-100dpi-fonts-4.2.0-2.1
XFree86-75dpi-fonts-4.2.0-2.1
XFree86-tools-4.2.0-2.1
XFree86-doc-4.2.0-2.1
XFree86-xf86cfg-4.2.0-2.1
XFree86-compat-libs-4.0.3-3
XFree86-xfs-4.2.0-2.1
XFree86-Xvfb-4.2.0-2.1

I realize that libGL is in /usr/X11R6/lib, but XFree86-libs-4.2.0-2.1 thinks a
there's supposed to be a link to in /usr/lib and that's what was missing after
the upgrade:

jik:~/build/scripts!6> rpm -q -l -v XFree86-libs | grep /usr/lib/libGL
lrwxrwxrwx    1 root    root               25 Jan 20 16:24 /usr/lib/libGL.so.1
-> /usr/X11R6/lib/libGL.so.1


Comment 3 Mike A. Harris 2002-03-12 19:59:11 UTC
This problem appears fixed in current 4.2.0-6.45.  Please reopen if you
encounter the problem again though.  I belive it was fixed a while back,
as I recall tweaking the symlinks a bit.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.